using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableBloodmoss : FarmableCrop
	{
		public static int GetCropID()
		{
			return 0x3FFE;
		}

		public override Item GetCropObject()
		{
			Item item = new Bloodmoss();
			item.Amount = 3;
			return item;
		}

		public override int GetPickedID()
		{
			return 0xCB5;
		}

		[Constructable]
		public FarmableBloodmoss() : base( GetCropID() )
		{
			Name = "ginseng";
		}

		public FarmableBloodmoss( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadEncodedInt();
		}
	}
}
